### Constructor

# Shumate VectorSprite new_full

since: 1.1

#### Declaration [src]

    ShumateVectorSprite*
    shumate_vector_sprite_new_full (
      GdkPaintable* source_paintable,
      int width,
      int height,
      double scale_factor,
      GdkRectangle* source_rect
    )

#### Description [src]

Creates a new `ShumateVectorSprite` with the given size, scale factor, and area of the source paintable.

Available since: 1.1

#### Parameters

`source_paintable`

  Type: `GdkPaintable`

  A `GdkPaintable`.

  The data is owned by the caller of the function.

`width`

  Type: `int`

  The width of the sprite in pixels.

`height`

  Type: `int`

  The height of the sprite in pixels.

`scale_factor`

  Type: `double`

  The intended scale factor of the sprite.

`source_rect`

  Type: `GdkRectangle`

  The source rectangle of the sprite, or `NULL` to use the entire paintable.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `ShumateVectorSprite`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.